API reference OpenAPI 3.1
POST /admin/legal-holds/{id}:release

Release hold

Bearer API key or staff session operation releaseHold

Parameters

NameInTypeRequiredDescription
id path string Yes —

Request

This endpoint has no request body.

curl -X POST "$MONICHEK_API/admin/legal-holds/{id}:release" \
  -H "Authorization: Bearer $MONICHEK_API_KEY"
const res = await fetch(`${MONICHEK_API}/admin/legal-holds/{id}:release`, {
  method: "POST",
  headers: {
    Authorization: `Bearer ${MONICHEK_API_KEY}`,
  },
});

const data = await res.json();
import os
import requests

res = requests.post(
    f"{os.environ['MONICHEK_API']}/admin/legal-holds/{id}:release",
    headers={"Authorization": f"Bearer {os.environ['MONICHEK_API_KEY']}"},
)
print(res.json())
$ch = curl_init(getenv('MONICHEK_API') . '/admin/legal-holds/{id}:release');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'POST',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('MONICHEK_API_KEY'),
    ],
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;

Replace {id} with the resource id.

Responses

200 OK released application/json

No response example is published for this status.